// SPDX-License-Identifier: GPL-2.0-or-later
/*
 *
 * Copyright (C) 2017 CERN (www.cern.ch)
 * Author: Federico Vaga <federico.vaga@cern.ch>
 *
 * Special code to debug the VME slave and the VME bridge
 */

#include <linux/module.h>
#include <linux/platform_device.h>

enum svec_mod_dbg_types {
	SVEC_MOD_DBG_BASIC,
};

static int svec_mod_dbg_probe(struct platform_device *pdev)
{
	return 0;
}

static int svec_mod_dbg_remove(struct platform_device *pdev)
{
	return 0;
}

static const struct platform_device_id svec_mod_dbg_id_table[] = {
	{	/* SPEC compatible */
		.name = "svec_mod_dbg_basic",
		.driver_data = SVEC_MOD_DBG_BASIC,
	},
	{},
};

static struct platform_driver svec_mod_dbg_driver = {
	.driver = {
		.name = "svec_module_debug",
		.owner = THIS_MODULE,
	},
	.id_table = svec_mod_dbg_id_table,
	.probe = svec_mod_dbg_probe,
	.remove = svec_mod_dbg_remove,
};
module_platform_driver(svec_mod_dbg_driver);

MODULE_AUTHOR("Federico Vaga <federico.vaga@cern.ch>");
MODULE_LICENSE("GPL v2");
MODULE_VERSION(VERSION);
MODULE_DESCRIPTION("Driver for VME Slave/Bridge debugging");
MODULE_DEVICE_TABLE(platform, svec_mod_dbg_id_table);

ADDITIONAL_VERSIONS;
